<template>
  <div class="about" style="padding: 16px">
    <b-container style="padding: 0">
      <el-breadcrumb separator-class="el-icon-arrow-right">
        <el-breadcrumb-item :to="{ path: '/' }">产品</el-breadcrumb-item>
        <el-breadcrumb-item :to="{ path: '/news' }">客户案例</el-breadcrumb-item>
        <el-breadcrumb-item>客户案例详情</el-breadcrumb-item>
      </el-breadcrumb>
      <div style="margin-top: 20px">
        <div style="text-align: center">
          <h3 style="padding: 16px 0; font-size: 24px; text-align: center; font-weight: bold; color: #333">{{ info.title }}</h3>
          <p style="margin: 10px 0; color: #333"><i class="el-icon-time"></i>&nbsp;{{ info.createDate }}&nbsp;&nbsp;&nbsp;&nbsp;来源：{{ info.creator }}</p>
          <br />
        </div>
        <div v-html="info.content" class="pageConet"></div>
      </div>
    </b-container>
  </div>
</template>
<script>
import { newsDetile } from '@/api/index';

export default {
  name: 'HomeView',
  components: {},
  data() {
    return {
      info: '',
    };
  },
  created() {
    const newsId = this.$route.query.id;
    this.getDetile(newsId);
  },
  methods: {
    getDetile(newsId) {
      window.scrollTo(0, 0);
      newsDetile({ id: newsId }).then((response) => {
        this.info = response.data;
      });
    },
  },
};
</script>
